=== debian/control ===
Source: checkbox
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Build-Depends: debhelper (>= 7.0.50~), dh-translations, libqt4-dev, python (>= 2.6.6-3~), po-debconf, python-distutils-extra, qt4-qmake
Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk

Package: checkbox
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, debconf, python-libxml2, udev
Recommends: dpkg (>= 1.13), gstreamer0.10-gconf, lsb-release, perl, pm-utils, python-apport, python-apt, python-dateutil, python-gst0.10
Suggests: checkbox-cli | checkbox-gtk, bonnie++, bootchart, bzr, cvs, ethtool, flex, fwts, git-core, hdparm, lshw, make, nmap, obexd-client, python-pexpect, smartmontools, sox, stress, wodim
Description: System testing application 
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.

Package: checkbox-cli
Architecture: all
Depends: checkbox (>= ${source:Version}), ${misc:Depends}
Description: Command line interface for checkbox 
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a command line interface for answering tests.

Package: checkbox-urwid
Architecture: all
Depends: checkbox (>= ${source:Version}), python-urwid, ${misc:Depends}
Description: Urwid interface for checkbox 
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a command line interface (urwid version) for 
 answering tests.

Package: checkbox-gtk
Section: gnome
Architecture: all
Depends: checkbox (>= ${source:Version}), gksu, python-gobject (>= 2.28), gir1.2-gtk-3.0, python-cairo, ${misc:Depends}
Description: GTK interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a GTK interface for answering tests.

Package: checkbox-qt
Architecture: any
Depends: checkbox (>= ${source:Version}), libqtgui4, libqt4-dbus, ${misc:Depends}
Description: QT4 interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a QT4 interface for answering tests.
