## checkbox 0.13.10

=== debian/changelog ===
checkbox (0.13.10) precise-proposed; urgency=low

   [Daniel Manrique]
   * Removed references to Ubuntu Friendly due to sunsetting of the project.
    (LP: #1224533)

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 25 Sep 2013 16:36:00 -0400
