## checkbox 0.14.9

=== debian/changelog ===
checkbox (0.14.9) quantal; urgency=low

  * New upstream release (LP: #1064504)

  [Zygmunt Krynicki]
  * checkbox/dbus/__init__.py, checkbox/dbus/udisks2.py, checkbox/heuristics/,
    checkbox/heuristics/__init__.py, checkbox/heuristics/udev.py,
    checkbox/heuristics/udisks2.py, checkbox/tests/heuristics.py,
    checkbox/udev.py, checkbox/parsers/udevadm.py, debian/control,
    jobs/mediacard.txt.in, scripts/removable_storage_test,
    scripts/removable_storage_watcher, setup.py: Added udisks2 support 
    (LP: #1016035)

 -- Daniel Manrique <roadmr@ubuntu.com>  Tue, 09 Oct 2012 12:23:41 -0400

checkbox (0.14.8) quantal; urgency=low

  * New upstream release (LP: #1061359)

  * Launchpad automated translation updates
   
  [Sylvain Pineau]
  * setup.py, qt/checkbox-qt.ui: Removed the old UI design file (LP: #1049912) 
  * scripts/display_resource, jobs/resource.txt.in: Added a new display 
    resource script to properly handle connector names returned by proprietary
    drivers (LP: #956139) (LP: #992727)
  * jobs/optical.txt.in, scripts/optical_write_test: Filter ANSI escape char 
    outputed by wodim and removed some stray whitespace (LP: #1052803)
  * checkbox/parsers/udevadm.py: Improved wireless devices detection.
    The wireless category is now set if the subsystem is equal to ieee80211 
    (LP: #855382)
  * debian/control, jobs/esata.txt.in, jobs/firewire.txt.in, jobs/usb.txt.in,
    jobs/mediacard.txt.in: Remove udisks package references in all of the jobs
    that use removable_storage scripts (LP: #1059620). Used wrap-and-sort in
    debian/control for clarity (Depends).
  * scripts/graphics_driver: Added NVIDIA driver detection (LP: #1060211)

  [Brendan Donegan]
  * jobs/cpu.txt.in - add environ field containing
    CHECKBOX_DATA to allow that environment variable to be used in the command
    (LP: #1049595)
  * jobs/wireless.txt.in - replace use of network_wireless_test in wireless_scanning
    with a simple Bash script using nmcli and delete network_wireless_test (LP: #900370)
  * [UIFe] qt/frontend/qtfront.ui, qt/frontend/qtfront.cpp - set focus to Continue
    button and make it the default so that it can be 'clicked' using Enter,
    as well as renaming it to 'continueButton' (LP: #1052506)
  * jobs/usb.txt.in - Fix dependencies of USB tests so that things work properly if
    the usb/storage-automated test fails (LP: #987876)
  * scripts/network_info - add exception handling to file reading so that
    sensible values are given if the required file cannot be read (LP: #823606)

  [Marc Tardif]
  * qt/frontend/qtfront.ui: Fixed warnings when building with
    qtcreator (LP: #1053126)
  * plugins/suites_prompt.py: Fixed tree view in selection window (LP: #1056432)
  * plugins/apport_prompt.py: Removed apport plugin that caused crashes
    when trying to send bug report (LP: #1047857)
  * jobs/optical.txt.in: Fixed missing category assignment in optical
    dvd write tests (LP: #1057762)

  [Jeff Marcom]
  * jobs/optical.txt.in: Changed optical read/write job commands to use
    a more reliable dev path (LP: #990560)

  [Daniel Manrique]
  * Added consecutive numbering to messages sent to the backend, so the
    frontend knows to discard out-of-sequence messages. (LP: #886118)


 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 03 Oct 2012 17:23:34 -0400

checkbox (0.14.7) quantal; urgency=low

  * New upstream release (LP: #1057001)

  * Launchpad automated translation updates
  
  [Daniel Manrique]
  * jobs/audio.txt.in: replaced gconfaudiosink by autoaudiosink (LP: #978895)
  * scripts/audio_settings: Added exception handlers to catch problems with
    unwritable or absent settings files. jobs/audio.txt.in: Fixed unwritable
    setting files locations (LP: #1041644) (LP: #1041340) 
  * Ensured that strings passed to qtiface.showError via dbus are strings, 
    and not NoneType as could happen under certain circumstances.
    (LP: #1032337)
  * scripts/graphics_modes_info: updated shebang to python3 (LP: #1047515)
  * scripts/graphics_driver, scripts/color_depth_info: Added ignoring
    possible invalid characters in Xorg logfiles (LP: #1048096)

  [Matt Fischer]
  * scripts/network-device-info: fixed a problem with output causing a
    traceback and a problem where modules with improper modules field causes
    problems. jobs/networking.txt.in: added requires for pciutils for the
    above bugfix (LP: #1042395)

  [Sylvain Pineau]
  * jobs/suspend.txt.in: Fixed suspend/suspend_advanced dependencies to avoid
    calling fwts with the live CD (LP: #1045687)
  * qt/frontend/qtfront.ui: Fixed the test purpose widget size to allow two
    lines of description (LP: #1032255)
  * qt/frontend/qtfront.ui: Fixed the progressLabel widget size to support job
    names > 50 chars (LP: #1046274)

  [Brendan Donegan]
  * Make audio_settings before/after suspend tests more robust by not requiring
    every little audio setting to be the same before and after suspend, just
    the major ones such as the current source/sink and the mute/volume settings
    on them (LP: #1043144)
  * scripts/frequency_governors_test - Ensure that check for difference in
    expected and actual speedup only fails if the actual speedup is less than
    the expected speedup (LP: #999547)

  [Marc Tardif]
  * patch/0.14.2: Fixed patch to rmtree instead of rmdir scripts directory.
    (LP: #1047883)

  [Jeff Lane]
  * scripts/graphics_driver: fixed a bug causing the hybrid check to throw an
    exception on hybrid systems (LP: #1048058)

 -- Daniel Manrique <roadmr@ubuntu.com>  Tue, 25 Sep 2012 16:07:46 -0400

checkbox (0.14.6) quantal; urgency=low

  * New upstream release (LP: #1049130)

  * qt/frontend/images/checkbox-qt-head.png: updated header image
    (LP: #1044035) 

 -- Daniel Manrique <roadmr@ubuntu.com>  Tue, 11 Sep 2012 09:47:33 -0400

checkbox (0.14.5) quantal; urgency=low

  * New upstream release (LP: #1042911)

  * [FEATURE]: qt/frontend/qtfront.cpp, qt/frontend/qtfront.h,

