## checkbox 0.14.10

=== debian/changelog ===
checkbox (0.14.10) quantal-proposed; urgency=low

  [Daniel Manrique]
  * Removed references to Ubuntu Friendly due to sunsetting of the project.
    (LP: #1224533)

 -- Daniel Manrique <roadmr@ubuntu.com>  Mon, 23 Sep 2013 15:00:29 -0400
