=== debian/control ===
Source: checkbox
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 9.2),
               dh-translations,
               libqt4-dev,
               po-debconf,
               python,
               python-distutils-extra,
               python3,
               python3-distutils-extra,
               python3-lxml,
               qt4-qmake
Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk

Package: checkbox
Section: python
Architecture: any
Depends: debconf,
         python3-lxml,
         udev,
         gir1.2-gudev-1.0,
         udisks2 | udisks,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: dpkg (>= 1.13),
            gir1.2-gst-plugins-base-0.10 | gir1.2-gst-plugins-base-1.0,
            gstreamer0.10-gconf | gstreamer1.0-plugins-good,
            lsb-release,
            perl,
            pm-utils,
            python3-apt,
            python3-dbus,
            python3-gi
Suggests: bonnie++,
          bootchart,
          checkbox-cli | checkbox-gtk,
          ethtool,
          fwts,
          git-core,
          glmark2,
          glmark2-es2,
          hdparm,
          lshw,
          mesa-utils,
          nmap,
          obexd-client,
          obexftp,
          render-bench,
          smartmontools,
          sox,
          stress,
          sysstat,
          wmctrl,
          wodim
Description: System testing application
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.

Package: checkbox-cli
Architecture: all
Depends: checkbox (>= ${source:Version}), ${misc:Depends}
Description: Command line interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a command line interface for answering tests.

Package: checkbox-urwid
Architecture: all
Depends: checkbox (>= ${source:Version}), python3-urwid, ${misc:Depends}
Description: Urwid interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a command line interface (urwid version) for
 answering tests.

Package: checkbox-gtk
Section: gnome
Architecture: all
Depends: checkbox (>= ${source:Version}),
         gir1.2-gtk-3.0,
         gksu,
         python3-gi,
         python3-gi-cairo,
         ${misc:Depends}
Description: GTK interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a GTK interface for answering tests.

Package: checkbox-qt
Architecture: any
Depends: checkbox (>= ${source:Version}),
         libqt4-dbus,
         libqtgui4,
         python3-dbus,
         ${misc:Depends},
         ${shlibs:Depends}
Description: QT4 interface for checkbox
 This project provides an extensible interface for system testing. The
 results can then be sent to Launchpad.
 .
 This package provides a QT4 interface for answering tests.
