=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,27 @@
 #!/usr/bin/make -f
 
 %:
-	dh "$@" --with translations,python2
+	dh "$@" --with python2,python3,translations
 
 override_dh_auto_build:
 	(cd qt/frontend; qmake-qt4; make)
-	dh_auto_build
+	set -ex; for python in $(shell py3versions -r); do \
+		$$python setup.py build; \
+	done;
+
+override_dh_auto_install:
+	set -ex; for python in $(shell py3versions -r); do \
+		$$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	done;
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/checkbox
+	mv  $(CURDIR)/debian/tmp/usr/share/checkbox/scripts  $(CURDIR)/debian/tmp/usr/lib/checkbox/bin
+
+override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# drop LD_PRELOAD to avoid running under fakeroot; drop TMPDIR to work
+	# around LP#972324 (set by autopkgtest)
+	env -u LD_PRELOAD -u TMPDIR CHECKBOX_PACKAGING=1 ./test
+endif	
 
 override_dh_installdeb:
 	cp debian/checkbox.postrm debian/checkbox-cli.postrm
