## checkbox 0.15.2

=== debian/changelog ===
checkbox (0.15.2) raring; urgency=low

  * New upstream release (LP: #1119529)

  [ Daniel Manrique ]
  * Bumped revision number to 0.15.1 and restored previous trunk changelog.
  * jobs/peripheral.txt.in: fixed string with repeated "add" (LP: #1102665) 
  * scripts/graphics_stress_test: added missing import (LP: #1102812)

  [ Jeff Lane ]
  * scripts/rendercheck_test - added missing import for errno (LP: #1103343)
    jobs/rendercheck.txt.in - fixed command string to report the correct exit
    code to checkbox
  
  [ Jeff Marcom ]
  * Converted kvm virtualization test to python3. Test will use parameters
    in config file in the event the system under test does not have internet
    access. Updated jobs/virtualization.txt.in

 -- Brendan Donegan <brendan.donegan@canonical.com>  Fri, 08 Feb 2013 13:30:02 -0500

checkbox (0.15.1) raring; urgency=low

  * New upstream release (LP: #1110802)

  * Launchpad automated translation updates.

  [ Jeff Lane ]
  * jobs/monitor.txt.in - added new job monitor/multi-head to test mulitple
    displays on desktops. 
  
  [ Brendan Donegan ]
  * jobs/bluetooth.txt.in, jobs/suspend.txt.in - unblock Bluetooth hardware
    before running any Bluetooth tests to avoid these failing (LP: #1084601)
  * scripts/network_reconnect_resume_time - do not fail if resume time cannot
    be calculated as this usually just means the driver does not print 
    appropriate messages to determine this. (LP: #1065009)

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 09 Jan 2013 16:40:02 -0500

checkbox (0.15) raring; urgency=low

  * New upstream release (LP: #1097626):

  * Launchpad automated translation updates

  [ Daniel Manrique ]
  * New version 0.15 for Raring Ringtail development.
  * Fail gracefully with a friendly and useful error message if audio settings
    file format is invalid. (LP: #1065703)
  * Added environ key to poweroff and reboot jobs so they create logs in the
    expected location (LP: #1085833)
  * Added reporting of dependencies that are outright missing from the
    whitelist to avoid confusion (LP: #1084986)
  * scripts/memory_compare: Fixed accumulator expression to give good results
    (LP: #1089046)
  * added scripts/key_test to the list of translatable files (LP: #1073359)
  * Added wireless network devices to networking/info local job (LP: #1089787)
  * Updated call to Thread constructor to use positional arguments
    (LP: #1097866)
  * [FEATURE] checkbox/job.py: Fixed intltool warning about unnamed
    parameters in string, applied pep8 fixes.
  * checkbox-cli progress indicator is now static, spinning around instead of
    filling the screen with dots. (LP: #926104)
  * Increased version number after final Ubuntu Quantal release.
  * Added environment resource to whitelists (LP: #1067038)
  * Added retrying pactl commands in case audio layer is not up yet
    (LP: #1065908)
  * Removed references to inexistent opts.verbose setting (LP: #1070829)
  * Added unit test to catch jobs with mismatching environ and actual
    variables used in shell command (LP: #955053)
  * Forced utf-8 decoding on modinfo output and updated to use check_output
    instead of communicate (LP: #1055730)
  * [FEATURE] Added oem-config directory to setup.py so it builds correctly.
  * jobs/peripheral.txt.in: Fixed a typo in the DSL job. (LP: #1039192)
  * jobs/resource.txt.in: Added usb resource that indicates which versions of
    the protocol are supported (currently only reports for USB 2.0 and 3.0).
  * scripts/removable_storage_watcher, scripts/removable_storage_test: Added
    a parameter to specify minimum speed to accept a device, and a parameter
    to fail removable_storage_test if the transfer speed is below a threshold.
  * jobs/usb.txt.in: Added usb3 jobs that will only pass if an actual USB 3.0
    device is inserted/removed/tested.
  * scripts/audio_test: made the default mode verbose, it now sends all
    output to stderr (but still exits a proper return value). Jobs using it
    are updated to remove the now-unneeded -v parameter.
  * Added tests to ensure all job files are declared in setup.cfg,
    po/POTFILES.in and included in jobs/local.txt.in. (LP: #1052986)
  * setup.cfg, po/POTFILES.in, jobs/local.txt.in: Fixed so the tests pass.
    (LP: #1052986)
  * [FEATURE] checkbox/tests/message_files.py: Added a test to validate
    that all shell jobs have descriptions (LP: #1052992).
  * [FEATURE] jobs/stress.txt.in: Updated some shell jobs that had no
    description (LP: #1052992).
  * [FEATURE] Added a test to verify that jobs contain only keys
    declared in the schema (avoid stray keys).

  [ Brendan Donegan ]
  * [FEATURE] Add environment_info plugin which sets environment variables
    according to the values set in the plugin via Checkboxes INI files.
  * [FEATURE] Added semi-automated wireless tests which require only a single
    router to run, prompting the user to modify the routers config during 
    the test.
  * [FEATURE] Added semi-automated wireless after suspend tests to suspend.txt.in,
    since they were missed in the previous merge    
  * Attach the output of udev_resource, for debugging purposes (LP: #974271)
  * Remove default value from windows_number argument since the logic following
    it dictates that it's only valid for certain tests (LP: #1047621)
  * jobs/audio.txt.in - fix description of audio/playback_hdmi (LP: #1052136)
  * [FEATURE] plugin/environment_info.py - allow BT device address to be set
    in the checkbox.ini file to facilitate self-testing
  * jobs/keys.txt.in, scripts/key_test - Fix keys/battery test to have correct
    fields and tidy up pep8 violations in key_test script (LP: #1054410)
  * [FEATURE] jobs/power-management.txt.in, jobs/touchpad.txt.in,
    jobs/sniff.txt.in - Fix incorrect formatting of job descriptions to
    allow steps to be displayed by the UI (LP: #1054208)
  * Remove networking/bandwidth job since it is not useful (LP: #1009658)

