## checkbox 0.15.3

=== debian/changelog ===
checkbox (0.15.3) raring; urgency=low

  * New upstream release (LP: #1131801)

  * scripts/pts_run: modified to output the full log from phoronix-test-suite
    (LP: #1102819)

 -- Brendan Donegan <brendan.donegan@canonical.com>  Fri, 22 Feb 2013 11:41:00 -0500
