## checkbox 0.15.5

=== debian/changelog ===
checkbox (0.15.5) raring; urgency=low

  * New upstream release (LP: #1158798) 

  [Sylvain Pineau]
  * scripts/udev_resource: Set the decoding error policy to 'ignore' to avoid
    breaking tests that depends on the udevadm resource (LP: #1151562)
  * scripts/udev_resource: Identify KVM devices as such to avoid reporting them
    as just CAPTURE devices (LP: #1065064)

 -- Brendan Donegan <brendan.donegan@canonical.com>  Fri, 22 Mar 2013 16:14:06 +0000

checkbox (0.15.4) raring; urgency=low

  * New upstream release (LP: #1152223)

  [ Daniel Manrique ]
  * Added pipefail option to a few jobs using ansi_parser (LP: #1131598)

  [ Jeff Marcom ]
  * jobs/input.txt.in Added job requirement for accelerometer test (LP: #1135832)

  [Sylvain Pineau]
  * scripts/network_device_info, scripts/udev_resource,
    checkbox/parsers/udevadm.py: Use udev to categorise network devices instead
    of lspci (LP: #1091633)

 -- Brendan Donegan <brendan.donegan@ubuntu.com>  Thu, 07 Mar 2013 15:43:13 +0000
