=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
                po-debconf,
                python,
                python-distutils-extra,
-               python3,
+               python3-all,
                python3-distutils-extra,
+               python3-gi,
                python3-lxml,
+               python3-pkg-resources,
                qt4-qmake
 Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk
