## checkbox 0.15.7

=== debian/changelog ===
checkbox (0.15.7) raring-proposed; urgency=low

  [ Daniel Manrique ]
  * Removed references to Ubuntu Friendly due to sunsetting of the project.
    (LP: #1224533)

 -- Daniel Manrique <roadmr@ubuntu.com>  Mon, 23 Sep 2013 13:11:53 -0400

checkbox (0.15.6) raring-proposed; urgency=low

  [ Daniel Manrique ]
  * scripts/alsa_record_playback: Replaced alsasrc with autoaudiosrc
    (LP: #1059544)

 -- Daniel Manrique <roadmr@ubuntu.com>  Fri, 10 May 2013 17:24:26 -0400
