## checkbox 0.16.7

=== debian/changelog ===
checkbox (0.16.7) saucy; urgency=low

  * New upstream release(LP: #1236581):

  * Launchpad automated translation updates

  [ Daniel Manrique ]
  * Ensured that pactl commands are run on a properly unlocalized environment
    (LP: #1201126)
  * scripts/gpu_test: Better validation that glxgears windows were found, to
    avoid manipulation of nonexisting windows which causes threads to crash
    and the entire program to stall. (LP: #1232232)
  * parsers/udevadm: Added additional heuristics for mediatek bluetooth
    controllers (LP: #1210405)

  [ Jeff Lane ]
  * scripts/storage_test: test now exits with a warning if the drive is not
    mounted prior to testing (LP: #1224820)

  [ Brendan Donegan ]
  * scripts/fwts_test: Removed dmi_decode and smbios tests that are no longer present
    in fwts and change version dependency to latest version (LP: #1218993)
  * scripts/virtualization - change kvm command to qemu-system-x86_64 as the 
    former is deprecated (LP: #1224854)
  * scripts/memory_test - use per-process memory limit if arch is ARM, except
    for arm64 (LP: #1184688)

 -- Daniel Manrique <roadmr@ubuntu.com>  Mon, 07 Oct 2013 14:50:49 -0400

checkbox (0.16.6) saucy; urgency=low

  * New upstream release (LP: #1224590):

  * Launchpad automated translation updates

  * jobs/stress.txt.in: Added path to reboot/poweroff stress test jobs
    so they get attached correctly (LP: #1218186)
  * scripts/pm_test: Sort output of xinput to avoid spurious failures
    (LP: #1218188)
  * scripts/gpu_test: Catch CalledProcessError when calling wmctrl, to avoid
    crashes that cause the test to hang (LP: #1217937)
  * scripts/pm_test, scripts/fwts_test: Removed dmesg_common that's no longer
    present in fwts and added specific version dependency to checkbox
    (LP: #1206016)
  * Removed references to Ubuntu Friendly due to sunsetting of the project.
    (LP: #1224533)

 -- Daniel Manrique <roadmr@ubuntu.com>  Thu, 12 Sep 2013 12:36:27 -0400

checkbox (0.16.5) saucy; urgency=low

  [ Brendan Donegan ]
  * data/whitelists/sru.whitelist - Remove erroneously added usb3 after suspend
    test in SRU whitelist.
  * plugins/launchpad_report.py - Don't include attachments which have a status
    of 'unsupported' (LP: #1196531)
  * checkbox/parsers/lshwjson.py, scripts/memory_compare - Create a parser for
    lshw and use this in the memory_compare script instead of dmidecode
    (LP: #1184661)
  * plugins/subunit_report.py - Prevent crash when job output contains
    non-ASCII characters (LP: #1196838)
  * jobs/info.txt.in - Add lshw_attachment job with dependency on the lshw
    package, and also give dmidecode_attachment a dependency on dmidecode,
    this way we get the right attachments (LP: #1199245)

  [ Daniel Manrique ]
  * scripts/internet_test: Added a passing threshold parameter for packet
    loss, added auto-adjustment of ping count and deadline so that they don't
    conflict with each other (LP: #1211144)
  * checkbox/parsers/udevadm: Fixed incorrect determination of network and
    wireless device IDs(LP: #1211521)
  * checkbox:parsers:submission: Tests and fixes for architecture matching
    which was causing udevadm processing to fail on armhf. (LP: #1214123).
  * checkbox/parsers/udevadm: Sent some uninteresting devices to the null
    category, and other minor tweaks to device categorization (LP: #1211369)
  * scripts/network_device_info: ignore UTF-8 decoding errors from udevadm
    output, as we do everywhere else (LP: #1210050)
  * jobs/stress.txt.in: Added --log-dir to poweroff and reboot stress tests so
    log files get written in the expected location (LP: #1205194)
  * scripts/gpu_test, jobs/graphics.txt.in: Added checks for existence of
    required video files, failing tests if they're not found (LP: #1202946)
  * checkbox-old/scripts/gst_pipeline_test: Better debugging output, and
    script exits gracefully when the pipeline is unparsable or has a missing
    element.
  * checkbox-old/jobs/graphics.txt.in: Use videoconvert instead of
    ffmpegcolorspace, with a fallback if videoconvert is not found
    (LP: #1199259)
  * checkbox-old/jobs/input.txt.in: Add more details in pointing test names
    so they are easier to identify (LP: #1192541)
  * scripts/storage_test: Use parted silent mode to avoid hanging on disks
    with GPT (LP: #1215778)

  [ Po-Hsu Lin ]
  * jobs/mobilebroadband.txt.in: Make it disconnect from the mobile broadband
    network after job is completed to avoid any unexpected data transmission
    expense (LP: #1204799)

  [ Jeff Lane ]
  * scripts/fwts_test: script now fails on aborted tests if desired.
    jobs/power-management.txt.in: jobs that depend on fwts_wakealarm to pass or
    fail now fail on aborted test result. (LP: #1192684)
  * scripts/memory_compare: output now displays kB properly, not bytes labled
    as kB. (LP: #1217506)

  [ Alberto Milone ]
  * checkbox-old/scripts/color_depth_info:
    - Be more strict in the regex so as to make sure that we catch the
      correct string.
    - Open the log using the 'rb' flag. This prevents python from throwing
      a UnicodeDecodeError.

  [ Sylvain Pineau ]
  * checkbox-old/scripts/meminfo_resource, cpuinfo_resource: sort items for a
    deterministic output. Meant to be used with after_suspend jobs.
  * checkbox-old/scripts/gpu_test: Open kern.log in byte mode to avoid the
    UnicodeDecodeError management.
  * checkbox-old/scripts/memory_compare: set a variable diff. threshold.
  * checkbox-old/jobs/suspend.txt.in: Set the wifi reconnect timeout to 90s.
  * checkbox-old/scripts/bluetooth_test: Full rewrite in python to log all
    obexftp errors.
  * checkbox-old/scripts/fwts_test: Added the following new tests:
    method, msr, aspm, klog, oops and uefirtvariable (LP: #1202493)

 -- Daniel Manrique <roadmr@ubuntu.com>  Thu, 29 Aug 2013 09:20:25 -0400

checkbox (0.16.4) saucy; urgency=low

  [ Jeff Lane ]

