=== debian/control ===
--- 
+++ 
@@ -10,28 +10,35 @@
                po-debconf,
                python,
                python-distutils-extra,
+               python-setuptools,
                python3-all,
                python3-distutils-extra,
                python3-gi,
                python3-lxml,
+               python3-mock,
                python3-pkg-resources,
+               python3-setuptools,
                qt4-qmake
-Vcs-Bzr: https://code.launchpad.net/~hardware-certification/checkbox/trunk
+Vcs-Bzr: https://code.launchpad.net/~checkbox-dev/checkbox/trunk
 
 Package: checkbox
 Section: python
 Architecture: any
 Depends: debconf,
+         gir1.2-gudev-1.0,
+         policykit-1,
          python3-lxml,
          udev,
-         gir1.2-gudev-1.0,
          udisks2 | udisks,
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
 Recommends: dpkg (>= 1.13),
-            gir1.2-gst-plugins-base-0.10 | gir1.2-gst-plugins-base-1.0,
-            gstreamer0.10-gconf | gstreamer1.0-plugins-good,
+            gir1.2-gst-plugins-base-1.0,
+            gir1.2-gstreamer-1.0,
+            gstreamer1.0-plugins-good,
+            gstreamer1.0-pulseaudio,
+            libgstreamer1.0-0,
             lsb-release,
             perl,
             pm-utils,
@@ -41,8 +48,9 @@
 Suggests: bonnie++,
           bootchart,
           checkbox-cli | checkbox-gtk,
+          curl,
           ethtool,
-          fwts,
+          fwts (>=13.09.00-0ubuntu1),
           git-core,
           glmark2,
           glmark2-es2,
@@ -87,7 +95,6 @@
 Architecture: all
 Depends: checkbox (>= ${source:Version}),
          gir1.2-gtk-3.0,
-         gksu,
          python3-gi,
          python3-gi-cairo,
          ${misc:Depends}
@@ -110,3 +117,11 @@
  results can then be sent to Launchpad.
  .
  This package provides a QT4 interface for answering tests.
+
+Package: checkbox-hw-collection
+Architecture: any
+Depends: checkbox (>= ${source:Version}), ${misc:Depends}
+Description: CLI tool for collecting HW information from a system
+ .
+ This package provides a tool for collecting hardware information from
+ a system and sending it to the HEXR hardware database.
