=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	# drop LD_PRELOAD to avoid running under fakeroot; drop TMPDIR to work
 	# around LP#972324 (set by autopkgtest)
-	env -u LD_PRELOAD -u TMPDIR CHECKBOX_PACKAGING=1 ./test
+	env -u LD_PRELOAD -u TMPDIR CHECKBOX_PACKAGING=1 ./setup.py test
+	rm -rf scripts/__pycache__
 endif	
 
 override_dh_installdeb:
@@ -27,6 +28,7 @@
 	cp debian/checkbox.postrm debian/checkbox-urwid.postrm
 	cp debian/checkbox.postrm debian/checkbox-gtk.postrm
 	cp debian/checkbox.postrm debian/checkbox-qt.postrm
+	cp debian/checkbox.postrm debian/checkbox-hw-collection.postrm
 	dh_installdeb
 
 override_dh_installdocs:
@@ -34,11 +36,12 @@
 	dh_installdocs -pcheckbox-cli ./README 
 	dh_installdocs -pcheckbox-urwid ./README 
 	dh_installdocs -pcheckbox-gtk ./README 
-	dh_installdocs -pcheckbox-qt ./README 
+	dh_installdocs -pcheckbox-qt ./README
+	dh_installdocs -pcheckbox-hw-collection ./README
 	dh_installdocs
 
 override_dh_clean:
 	-find . -name \*.mo -exec rm {} \;
-	-rm -f debian/checkbox-cli.postrm debian/checkbox-urwid.postrm debian/checkbox-gtk.postrm debian/checkbox-qt.postrm
+	-rm -f debian/checkbox-cli.postrm debian/checkbox-urwid.postrm debian/checkbox-gtk.postrm debian/checkbox-qt.postrm debian/checkbox-hw-collection.postrm
 	debconf-updatepo
 	dh_clean
