## checkbox 0.17.6-0ubuntu6

=== debian/changelog ===
checkbox (0.17.6-0ubuntu6) trusty; urgency=medium

  [ Brendan Donegan ]
  * Use select_jobs to ensure whitelist order is preserved (LP: #1213893)
  * Use partial_id to avoid showing overly-long, namespaced job names
    (LP: #1297500)
  * Enable customization of some checkbox-gui parameters (LP: #1303849)
  * Send test results to Launchpad (LP: #1302615)

 -- Brendan Donegan <brendan.donegan@canonical.com>  Mon, 07 Apr 2014 20:49:45 +0100

checkbox (0.17.6-0ubuntu5) trusty; urgency=medium

  * Drop GUI_ARCHES logic in debian/rules.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 19:40:51 +0000

checkbox (0.17.6-0ubuntu4) trusty; urgency=medium

  * Drop arch-restriction from packages.
  * Drop libqt5v8-5-dev build-dependency. (LP: #1292801)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 15 Mar 2014 15:52:34 +0000

checkbox (0.17.6-0ubuntu3) trusty; urgency=medium

  * Remove arch restriction from checkbox. All dependencies are present
    now, and keeping things in dep-wait state is recommended cause it
    doesn't block anything and this upload would not be necessary.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Mar 2014 16:49:05 +0000

checkbox (0.17.6-0ubuntu2) trusty; urgency=low

  [Sylvain Pineau]
  * Update the default whitelist selection check mark on startup (LP: #1287389)
  * Properly set the suggested outcome for user-interact type jobs. Due to a
    variable name change, the outcome wasn't getting set (LP: #1287395)

 -- Sylvain Pineau <sylvain.pineau@canonical.com>  Wed, 05 Mar 2014 15:34:29 +0100

checkbox (0.17.6-0ubuntu1) trusty; urgency=low

  * New upstream release, changes detailed in checkbox-old/CHANGELOG
  * checkbox,checkbox-qt, checkbox-cli, checkbox-hw-collection converted to
    transitional packages

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 19 Feb 2014 10:48:25 -0500

checkbox (0.17.4ubuntu4) trusty; urgency=low

  * Ignore some build-depends on a few architectures where they're
    unavailable.
  * Declare specific architectures for which the checkbox-gui binary package
    can be built.
  * Make rules file conditionally build, install and package checkbox-gui
    files only on supported archs.
  * Removed stray lintian override and .install files for obsolete packages

 -- Daniel Manrique <roadmr@ubuntu.com>  Thu, 13 Feb 2014 11:09:48 -0500

checkbox (0.17.4ubuntu3) trusty; urgency=low

  * Removed python3-checkbox-support which is available from a debian package.
  * Removed dependency on qtsensors5-dev which is not available for a few
    architectures checkbox is bult for.
  * Added missing dependency for checkbox-gui on
    qtdeclarative5-localstorage-plugin.

 -- Daniel Manrique <roadmr@ubuntu.com>  Tue, 11 Feb 2014 10:25:26 -0500

checkbox (0.17.4ubuntu2) trusty; urgency=low

  * Removed autopkgtests from debian/control as package has no
    valid tests yet.

 -- Daniel Manrique <roadmr@ubuntu.com>  Thu, 06 Feb 2014 11:57:33 -0500

checkbox (0.17.4ubuntu1) trusty; urgency=low

  [ Brendan Donegan ]
  * Removed qtdeclarative5-cordova2.8-plugin as a build-dep as it doesn't
    exist in Ubuntu main.

 -- Daniel Manrique <roadmr@ubuntu.com>  Wed, 05 Feb 2014 09:51:35 -0500

checkbox (0.17.4) trusty; urgency=low

  * New upstream release (LP: #1276285):

  * Launchpad automated translation updates

  [ Po-Hsu Lin]
  * jobs/power-management.txt.in: add product requirement for laptops into
    the power-management/lid test case. (LP: #1270689)
  * jobs/keys.txt.in - adde keys/microphone-mute to test the mute key for
    microphone.

  [ Rod Smith ]
  * Modified network test to fail on 80% rather than 40% of theoretical max
    speed.

  [Daniel Manrique]
  * jobs/graphics.txt.in: Use grep to work around bad exit codes from
    unity_support_test (LP: #1212618)
  * Added tests for 802.11ac networking, including environment variables for
    their settings, and updated whitelists accordingly.
  * scripts/sleep_test_log_check: Rewrote the parser logic to avoid missing
    failures due to file format changes (LP: #1201667)
  * parsers/udevadm: Added additional heuristics for video devices with
    PCI subclass "2", like newer NVidia GPUs (LP: #1270139)
  * checkbox/scripts/audio_settings: Place/read active_profiles in an
    absolute, known-writable location (LP: #1271707)
  * scripts/virtualization, scripts/network: Use specific environment
    variables for configuration, if available (LP: #1260507)
  * Removed suspend_test script which hasn't been touched in over 3 years
    and is not used in any jobs. (LP: #752881)
  * Changed touchpad_test to use default scrolling method, and added a switch
    to force edge scrolling if desired. Updated legacy tests to use edge
    scrolling when the test description makes that appropriate. (LP: #1259987)
  * scripts/virtualization: Shut down the VM properly so as to not damage the
    disk image; work properly with "second-boot" VM images (LP: #1259879)
  * jobs/stress.txt: Refer the stress log checking jobs to a single test file,
    rather than using wildcards, which causes strange results (LP: #1161718)
  * scripts/virtualization: Removed stray space in -net parameters causing
    test failures (LP: #1250568)
  * data/whitelists: Updated whitelists that require the new rtc resource
    (LP: #1251781)
  * jobs/ethernet.txt.in, jobs/wireless.txt.in: Added user-verify jobs to test
    maximum throughput versus interface's max supported speed.
  * scripts/network: Minor fixes and tweaks for nicer output and handling of
    Kb/s and Gb/s.
  * jobs/virtualization.txt.in: Set the kvm_check_vm test to run as root, to
    ensure we're running under kvm and not tcg. Modified tests for environment
    variables accordingly since we need to account for presence of proxy
    variables.
  * scripts/gpu_test: Revamped way of launching and stopping glxgears
    windows/threads, to make 100% sure that we find and close them all,
    avoiding leftover threads that cause the script not to exit.

