=== debian/control ===
Source: checkbox
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2
Build-Depends: debhelper (>= 9.2),
               dh-translations,
               libnl-genl-3-dev,
               libqt4-dev,
               libqt5qml-graphicaleffects,
               libqt5sql5-sqlite,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               po-debconf,
               python,
               python-distutils-extra,
               python-setuptools,
               python3-all (>= 3.2),
               python3-dbus,
               python3-distutils-extra,
               python3-gi,
               python3-lxml,
               python3-pkg-resources,
               python3-requests ( >= 1.0),
               python3-setuptools,
               python3-sphinx,
               qt3d5-dev,
               qt4-qmake,
               qt5-default,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qtlocation5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Vcs-Bzr: https://code.launchpad.net/~checkbox-dev/checkbox/trunk

Package: checkbox
Section: python
Architecture: all
Depends: ${misc:Depends}, python3-checkbox
Description: System testing application (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-cli
Architecture: all
Depends: ${misc:Depends}, checkbox-ng
Description: Command line interface for checkbox (transitional package)
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-qt
Architecture: all
Depends: ${misc:Depends}, checkbox-gui
Description: QT4 interface for checkbox
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: checkbox-hw-collection
Architecture: all
Description: CLI tool for collecting HW information from a system
 This is a transitional dummy package to allow upgrading from old releases.
 If nothing depends on it, this package can be safely removed after upgrade.

Package: python3-checkbox
Section: python
Architecture: all
Depends: gir1.2-gudev-1.0,
         python3-lxml,
         udev,
         udisks2 | udisks,
         ${misc:Depends},
         ${python3:Depends}
Replaces: checkbox (<< 0.17.6-0ubuntu1)
Breaks: checkbox (<< 0.17.6-0ubuntu1)
Description: CheckBox python3 library
 This package contains the CheckBox python3 library needed by some jobs.

Package: checkbox-gui
Architecture: any
Depends: checkbox-ng-service,
         plainbox-provider-checkbox,
         qtdeclarative5-localstorage-plugin,
         qtdeclarative5-qtquick2-plugin,
         qtdeclarative5-ubuntu-ui-toolkit-plugin | qt-components-ubuntu,
         ${misc:Depends}
Replaces: checkbox-qt (<<0.17.4ubuntu4)
Breaks: checkbox-qt (<<0.17.4ubuntu4)
Description: QML based interface for system testing based on Plainbox.
 Provides an interface for executing system tests. The results can be 
 viewed at the end.
 .
 This package provides the checkbox-gui binary.
